redmine:email:read and rdm-mailhandler.rb should use safe_receive instead of receive

2018-09-15 07:05 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 4.0.0   

Description

Since r12995, rake redmine:email:receive_imap and rake redmine:email:receive_pop3 use MailHandler.safe_receive instead of 

receive to handle exceptions which raised while processing broken email. However, rake redmine:email:read and

MailHandlerController#index (invoked from rdm-mailhandler.rb) still uses receive method, not safe_receive method.

I think rake redmine:email:read and MailHandlerController#index should also use safe_receive method instead of receive method to

handle exceptions in a same way with receive_imap and receive_pop3.

Related issues:

Related to Redmine - Defect #16122: redmine:email:receive should not abort wi... New

Associated revisions

Revision 17508 - 2018-09-23 15:36 - Jean-Philippe Lang

redmine:email:read and rdm-mailhandler.rb should use safe_receive instead of receive (#29614).

Patch by Go MAEDA.

History

#1 - 2018-09-15 07:05 - Go MAEDA

- Related to Defect #16122: redmine:email:receive should not abort with buggy mail added

#2 - 2018-09-15 16:26 - Go MAEDA

- Target version set to 4.0.0

#3 - 2018-09-23 15:36 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks.
